#
# spec file for package python-docrepr
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-docrepr
Version:        0.1.0
Release:        bp155.2.12
Summary:        Render Python docstrings in HTML
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/spyder-ide/docrepr
Source:         https://files.pythonhosted.org/packages/source/d/docrepr/docrepr-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Jinja2}
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module docutils}
%endif
Requires:       python-Jinja2
Requires:       python-Sphinx
Requires:       python-docutils
BuildArch:      noarch

%python_subpackages

%description
The docrepr package renders Python docstrings in HTML. It is based on
the sphinxify module developed by Tim Dumol for the Sage Notebook and
the utils.inspector module developed for the Spyder IDE.


%prep
%setup -q -n docrepr-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Sep 19 2017 toddrme2178@gmail.com
- Initial version
